# Class JvmImpl

java.lang.Object
org.apache.jmeter.monitor.model.JvmImpl

All Implemented Interfaces:
  `Jvm`

public class JvmImpl extends Object implements Jvm

Version:
  $Revision: 1413262 $

## Constructor Summary

Constructors
Constructor
Description
`JvmImpl()`

## Method Summary

Modifier and Type
Method
Description
`Memory`
`getMemory()`
`void`
`setMemory(Memory mem)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JvmImpl

public JvmImpl()

## Method Details

### getMemory

public Memory getMemory()

Specified by:
  `getMemory` in interface `Jvm`

### setMemory

public void setMemory(Memory mem)

Specified by:
  `setMemory` in interface `Jvm`